diff --git a/doc/src/sgml/ref/create_foreign_table.sgml b/doc/src/sgml/ref/create_foreign_table.sgml
index 5db15eb73e..25d2f09ed2 100644
--- a/doc/src/sgml/ref/create_foreign_table.sgml
+++ b/doc/src/sgml/ref/create_foreign_table.sgml
@@ -268,8 +268,8 @@ CHECK ( <replaceable class="parameter">expression</replaceable> ) [ NO INHERIT ]
     <listitem>
      <para>
       This clause creates the column as a <firstterm>generated
-      column</firstterm>.  The column cannot be written to, and when read it
-      will be computed from the specified expression.
+      column</firstterm>.  The column cannot be written to, and when read the
+      result of the specified expression will be returned.
      </para>

      <para>
diff --git a/doc/src/sgml/ref/create_table.sgml b/doc/src/sgml/ref/create_table.sgml
index 44a61ef99e..8e1bfe4d78 100644
--- a/doc/src/sgml/ref/create_table.sgml
+++ b/doc/src/sgml/ref/create_table.sgml
@@ -813,8 +813,8 @@ WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
     <listitem>
      <para>
       This clause creates the column as a <firstterm>generated
-      column</firstterm>.  The column cannot be written to, and when read it
-      will be computed from the specified expression.
+      column</firstterm>.  The column cannot be written to, and when read the
+      result of the specified expression will be returned.
      </para>

      <para>
